.NOLIST

;	DEPENDENCIES:
;	1.		Irvine32.inc

; Author:	ADAM WARD
; Purpose:
;		A simple INC file that helps with ASCII art and drawing coloured strings








; the following constants refer to ascii art characters that DO make up a box onscreen, have faith!
BoxTL TEXTEQU <''>
BoxTR TEXTEQU <''>
BoxBL TEXTEQU <''>
BoxBR TEXTEQU <''>
BoxHoriz TEXTEQU <''>
BoxVert TEXTEQU <''>
BoxHorizAndUp TEXTEQU <''>
BoxHorixAndDown TEXTEQU <''>
BoxVertAndLeft TEXTEQU <''>
BoxVertAndRight TEXTEQU <''>







.CODE

;-----------------------------
DrawColoredStringXY PROC USES ebx edx
;	Draws a color and xy position prefixed string
;
;	Receives:	EDX = The offset of the 0 terminated string
;	Returns:	NOTHING
;
;	NOTES:		The first byte at EDX is the color value, the x and y coords are 2nd and 3rd bytes respectively.
;				The string starts at the 4th byte.
;
;	EXAMPLE DATA: (...                  color,       x, y,      string data,    zero terminator  )
;				strAGreatGame	BYTE	lightRed,	30,	9,		"A great game", 0
;-----------------------------

	LOCAL	col		:BYTE,
			xy		:WORD,
			string	:DWORD
	
	mov bl, BYTE PTR [edx]			; grab the color value
	mov col, bl
	
	mov bx, WORD PTR [edx + 1]		; grab the coords
	mov xy, bx
	
	add edx, 3
	mov string, edx					; an address, NOT a value

	; change the color
	movzx eax, col
	CALL SetTextColor

	; set the position
	mov dx, xy
	CALL GotoXY
	
	; write the text
	mov edx, string
	CALL WriteString
	
	ret
DrawColoredStringXY ENDP









.LIST
